[Libreoffice] Old Oracle Mysql Connector no longer works with 3.5 on Windows - looking for a regular build solution ?

Alexander Thurgood alex.thurgood at gmail.com
Wed Jan 4 08:42:46 PST 2012

Hi Michael,

Le 04/01/12 17:20, Michael Meeks a écrit :
> Oh - that is very odd. It should be a UNO component which "just works"
> and we should be backwards-compatible with it. So that sounds like a
> pretty serious bug; can you make a most-annoying out of it and provide
> all the relevant details: the old download, what versions it worked
> with etc. and comment on it for the "Most annoying" bug ? Thanks :-)
> Michael. 

This is actually also the case for the mysql connectors that I have
built from master and made available via the extensions website :
- Linux 32bit (Ubuntu Oneiric)
- Mac OSX

I can't say when exactly this happened, but can confirm that those
connectors I have built from master only work with 3.5 and other current
master builds.

I was wondering whether this had anything to with some of the following
changes in the run up to master :
- version bump for the mysql library (Lionel's commits) ?
- component registration changes for the connectors ?

For a while, the connector I was building worked both on master and 3.4
builds (and also 3.3 builds). Now, at least on Linux, it only works on
3.5 builds. If I try and use it on a 3.3/3.4 installation, I get the uno
shared object error.


More information about the LibreOffice mailing list